//
//  CPDFAnnotationBarButton.m
//  compdfkit-tools
//
//  Created by kdanmobile_2 on 2023/4/21.
//

#import "CPDFAnnotationBarButton.h"

@implementation CPDFAnnotationBarButton

- (void)drawRect:(CGRect)rect {
    [super drawRect:rect];
    CGRect imageFrame = self.imageView.frame;
    CGContextRef ctx = UIGraphicsGetCurrentContext();
    CGContextSetStrokeColorWithColor(ctx, self.lineColor.CGColor);
    if (self.type == 1) {
        CGContextMoveToPoint(ctx, CGRectGetMinX(imageFrame)-2, CGRectGetMidY(imageFrame));
        CGContextSetLineWidth(ctx, CGRectGetHeight(imageFrame));
        CGContextAddLineToPoint(ctx, CGRectGetMaxX(imageFrame)+2, CGRectGetMidY(imageFrame));
    }else if (self.type == 2) {
        CGContextMoveToPoint(ctx, CGRectGetMinX(imageFrame), CGRectGetMaxY(imageFrame));
        CGContextSetLineWidth(ctx, 2.0);
        CGContextAddLineToPoint(ctx, CGRectGetMaxX(imageFrame), CGRectGetMaxY(imageFrame));
    } else if (self.type == 3) {
        CGContextMoveToPoint(ctx, CGRectGetMinX(imageFrame), CGRectGetMidY(imageFrame));
        CGContextSetLineWidth(ctx, 2.0);
        CGContextAddLineToPoint(ctx, CGRectGetMaxX(imageFrame), CGRectGetMidY(imageFrame));
    } else if (self.type == 4) {
        float tWidth = imageFrame.size.width / 6.0;
        CGContextMoveToPoint(ctx, CGRectGetMinX(imageFrame), CGRectGetMaxY(imageFrame));
        CGContextSetLineWidth(ctx, 2.0);
        CGContextAddCurveToPoint(ctx,
                                 CGRectGetMinX(imageFrame)+tWidth,CGRectGetMaxY(imageFrame)+4,
                                 CGRectGetMinX(imageFrame)+tWidth*2.0,CGRectGetMaxY(imageFrame)-4,
                                 CGRectGetMinX(imageFrame)+tWidth*3.0,CGRectGetMaxY(imageFrame));
        CGContextAddCurveToPoint(ctx,
                                 CGRectGetMinX(imageFrame)+tWidth*4.0,CGRectGetMaxY(imageFrame)+4,
                                 CGRectGetMinX(imageFrame)+tWidth*5.0,CGRectGetMaxY(imageFrame)-4,
                                 CGRectGetMinX(imageFrame)+tWidth*6.0,CGRectGetMaxY(imageFrame));
    }
    CGContextStrokePath(ctx);
}

@end
