//
//  CPDFListView.h
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <ComPDFKit/ComPDFKit.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSUInteger, CToolModel) {
    CToolModelViewer,
    CToolModelAnnotation,
    CToolModelForm,
    CToolModelEdit,
};

#pragma mark - CPDFListViewDelegate

@class CPDFListView;

@protocol CPDFListViewDelegate <NSObject>

- (NSArray<UIMenuItem *> *)PDFListView:(CPDFListView *)pdfListView customizeMenuForPage:(CPDFPage *)page forPagePoint:(CGPoint)pagePoint;

@end

#pragma mark - CPDFListView

@interface CPDFListView : CPDFView

@property (nonatomic, weak) id<CPDFListViewDelegate> performDelegate;

@property (nonatomic,assign) CToolModel toolModel;

@end

NS_ASSUME_NONNULL_END
