//
//  CPDFDisplayTableViewCell.m
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import "CPDFDisplayTableViewCell.h"

@implementation CPDFDisplayTableViewCell

- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
    if (self = [super initWithStyle:style reuseIdentifier:reuseIdentifier]) {
        _modeSwitch = [[UISwitch alloc] init];
        _modeSwitch.hidden = YES;
        [_modeSwitch sizeToFit];
        [_modeSwitch addTarget:self action:@selector(switchAction:) forControlEvents:UIControlEventValueChanged];

        [self.contentView addSubview:_modeSwitch];
        
        _checkImageView = [[UIImageView alloc] init];
        _checkImageView.image = [UIImage imageNamed:@"CDisplayImageNameCheck"
                                           inBundle:[NSBundle bundleForClass:self.class]
                      compatibleWithTraitCollection:nil];
        _checkImageView.hidden = YES;
        [self.contentView addSubview:_checkImageView];
    }
    return self;
}

-(void)layoutSubviews {
    [super layoutSubviews];
    
    _modeSwitch.frame = CGRectMake(self.contentView.frame.size.width - 60, (self.contentView.frame.size.height - 40)/2, 40, 50);
    
    _checkImageView.frame = CGRectMake(self.contentView.frame.size.width - 50, (self.contentView.frame.size.height - 40)/2, 40, 40);
}

#pragma mark - Action

- (void)switchAction:(UISwitch *)sender {
    if (self.switchBlock) {
        self.switchBlock();
    }
}

@end
